#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Unix
%define		pnam	Processors
Summary:	Unix::Processors - interface to processor (CPU) information
Summary(pl.UTF-8):	Unix::Processors - interfejs do informacji o procesorze (CPU)
Name:		perl-Unix-Processors
Version:	2.042
Release:	4
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Unix/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	641db045b253a1b75a1dcbc615981b40
URL:		http://search.cpan.org/dist/Unix-Processors/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-dirs >= 1.0-7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides accessors to per-processor (CPU) information.
The object is obtained with the Unix::Processors::processors call in a
OS independent manner.

%description -l pl.UTF-8
Ten pakiet udostępnia funkcje dostępowe do informacji o procesorach
(CPU). Ten obiekt jest dostępny poprzez wywołanie
Unix::Processors::processors w sposób niezależny od systemu
operacyjnego.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/Unix/*.pm
%{perl_vendorarch}/Unix/Processors
%dir %{perl_vendorarch}/auto/Unix/Processors
%attr(755,root,root) %{perl_vendorarch}/auto/Unix/Processors/*.so
%{_mandir}/man3/*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Unix-Processors.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f22aeab
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e10e816
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 522e55d
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> aa28942
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Fri Jul 01 2011 marti <marti@pld-linux.org> 1bc759b
- up to 2.042

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 49529d6
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 8186f06
- release 2

* Sun May 16 2010 sparky <sparky@pld-linux.org> 866a0d9
- someone forgot about bcond name

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> a367c99
- updated to 2.041

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 39a1cf3
- release 2

* Sun Mar 02 2008 Jakub Bogusz <qboosh@pld-linux.org> 92947a9
- generic URL

* Sun Mar 02 2008 radek <radek@pld-linux.org> 0804343
- version 2.034

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c6eecfc
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 6496f43
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 20db2b2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e026bf8
- converted to UTF-8

* Tue Oct 24 2006 ankry <ankry@pld-linux.org> 76ef4e3
- cosmetics

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 95fa494
- 2.033

* Mon Oct 31 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 3893486
- updated to 2.032

* Wed Jun 22 2005 Paweł Cyranek <pawel.cyranek@gmail.com> e56e716
- updated to 2.031

